/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.vodafone;

/**
 * 3GC端末アクセス時のアプリケーション情報のインターフェースです。
 * 
 * @author 杉澤 浩二
 */
public interface Application {

	/**
	 * アプリケーションの種類を返します。
	 * 
	 * @return アプリケーションの種類
	 */
	public ApplicationType getType();

	/**
	 * アプリケーションの名前を返します。
	 * 
	 * @return アプリケーションの名前
	 */
	public String getName();

	/**
	 * アプリケーションのバージョン情報を返します。
	 * 
	 * @return アプリケーションのバージョン情報
	 */
	public Float getVersion();

}
